#ifndef LIBRARIES_ZCONNECT_H
#define LIBRARIES_ZCONNECT_H


/*
$VER: zconnect.h 1.3 (25.7.97)  by Maik "BLiZZeR" Schreiber
*/


#include <exec/nodes.h>


/* describes exactly one header line */
struct ZConnectHeaderLine
{
  struct Node zhl_ListNode; /* queue of header lines */

  STRPTR      zhl_ID;       /* header line ID        */
  STRPTR      zhl_Contents; /* header line contents  */
};


#define ZC_IGNORE 0


/* error values returned by ZCon_CheckHeader() */
enum
{
  ZCCHECK_OK = 0,

  ZCCHECK_NO_ABS,
  ZCCHECK_NO_BET,
  ZCCHECK_NO_EDA,
  ZCCHECK_NO_EMP,
  ZCCHECK_NO_LEN,
  ZCCHECK_NO_MID,
  ZCCHECK_NO_ROT,

  ZCCHECK_TOO_MANY_ABS = 1000,
  ZCCHECK_TOO_MANY_BET,
  ZCCHECK_TOO_MANY_CHARSET,
  ZCCHECK_TOO_MANY_CRYPT,
  ZCCHECK_TOO_MANY_CRYPT_CONTENT_CHARSET,
  ZCCHECK_TOO_MANY_CRYPT_CONTENT_KOM,
  ZCCHECK_TOO_MANY_CRYPT_CONTENT_TYP,
  ZCCHECK_TOO_MANY_DDA,
  ZCCHECK_TOO_MANY_EDA,
  ZCCHECK_TOO_MANY_ERR,
  ZCCHECK_TOO_MANY_FILE,
  ZCCHECK_TOO_MANY_KOM,
  ZCCHECK_TOO_MANY_LANGUAGE,
  ZCCHECK_TOO_MANY_LDA,
  ZCCHECK_TOO_MANY_LEN,
  ZCCHECK_TOO_MANY_MAILER,
  ZCCHECK_TOO_MANY_MID,
  ZCCHECK_TOO_MANY_MIME,
  ZCCHECK_TOO_MANY_O_EDA,
  ZCCHECK_TOO_MANY_O_ROT,
  ZCCHECK_TOO_MANY_OAB,
  ZCCHECK_TOO_MANY_ORG,
  ZCCHECK_TOO_MANY_PGP,
  ZCCHECK_TOO_MANY_PGP_ID,
  ZCCHECK_TOO_MANY_PGP_KEY_AVAIL,
  ZCCHECK_TOO_MANY_PGP_KEY_COMPROMISE,
  ZCCHECK_TOO_MANY_PGP_KEY_OWN,
  ZCCHECK_TOO_MANY_PGP_PUBLIC_KEY,
  ZCCHECK_TOO_MANY_PGP_SIG,
  ZCCHECK_TOO_MANY_POST,
  ZCCHECK_TOO_MANY_ROT,
  ZCCHECK_TOO_MANY_SIGNED,
  ZCCHECK_TOO_MANY_SPERRFRIST,
  ZCCHECK_TOO_MANY_TELEFON,
  ZCCHECK_TOO_MANY_TRACE,
  ZCCHECK_TOO_MANY_TYP,
  ZCCHECK_TOO_MANY_VER,
  ZCCHECK_TOO_MANY_WAB,
  ZCCHECK_TOO_MANY_ZUSAMMENFASSUNG,
  ZCCHECK_TOO_MANY_CONTROL_ADD,
  ZCCHECK_TOO_MANY_CONTROL_CANCEL,
  ZCCHECK_TOO_MANY_CONTROL_DEL,
  ZCCHECK_TOO_MANY_STAT_AUTO,
  ZCCHECK_TOO_MANY_STAT_CTL,
  ZCCHECK_TOO_MANY_STAT_EB,
  ZCCHECK_TOO_MANY_STAT_NOCIPHER,
  ZCCHECK_TOO_MANY_STAT_NOKOP,
  ZCCHECK_TOO_MANY_STAT_TRACE,

  ZCCHECK_WRONG_EDA = 2000,
  ZCCHECK_WRONG_DDA,
  ZCCHECK_WRONG_LDA,
  ZCCHECK_WRONG_O_EDA,
  ZCCHECK_WRONG_SPERRFRIST,
  ZCCHECK_WRONG_LEN,
  ZCCHECK_WRONG_KOM,
  ZCCHECK_WRONG_PRIO
};


/* summer time modes required for ZCon_CreateTime() */
#define ZC_WINTERTIME 1
#define ZC_SUMMERTIME 2



#endif   /* LIBRARIES_ZCONNECT_H */
